<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">

    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
        <ui:param name="popup_id" value="restoreValidatorPanel"/>
        <ui:define name="popup_title">#{messages['net.ihe.gazelle.xval.RestoreADeprecatedValidator']}</ui:define>
        <s:div id="restoreValidatorPanelContent">
            <s:div rendered="#{validatorAdministrationManager.validatorForUpdate == null}">
                <h:outputText value="#{messages['net.ihe.gazelle.xval.NoValidatorSelected']}"
                              styleClass="gzl-alert gzl-alert-orange"/>
            </s:div>
            <s:div rendered="#{validatorAdministrationManager.validatorForUpdate != null}">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xval.WhatIsTheNewStatusForTheValidatorNamed']} #{validatorAdministrationManager.validatorForUpdate.name} ?"/>
            </s:div>
        </s:div>
        <ui:define name="popup_footer">
            <h:form id="restoreValidatorPanelButtons">
                <s:div rendered="#{validatorAdministrationManager.validatorForUpdate != null}">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.AvailableForTesting']}"
                                       actionListener="#{validatorAdministrationManager.markAsAvailable()}"
                                       oncomplete="jq162('#restoreValidatorPanel').modal('hide');"
                                       render="validatorList browseValidatorForm"
                                       styleClass="gzl-btn-blue"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Maintenance']}"
                                       actionListener="#{validatorAdministrationManager.markAsMaintenance()}"
                                       oncomplete="jq162('#restoreValidatorPanel').modal('hide');"
                                       render="validatorList browseValidatorForm" styleClass="gzl-btn-blue"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Cancel']}"
                                       actionListener="#{validatorAdministrationManager.setValidatorForUpdate(null)}"
                                       oncomplete="jq162('#restoreValidatorPanel').modal('hide');"
                                       render="validatorList browseValidatorForm" styleClass="gzl-btn-orange"/>
                </s:div>
                <a4j:commandButton value="#{messages['gazelle.vut.Close']}" styleClass="gzl-btn"
                                   actionListener="#{validatorAdministrationManager.setValidatorForUpdate(null)}"
                                   oncomplete="jq162('#restoreValidatorPanel').modal('hide');"
                                   render="validatorList"
                                   rendered="#{validatorAdministrationManager.validatorForUpdate == null}"/>
            </h:form>
        </ui:define>
    </ui:decorate>
</ui:composition>
